//todo: rebuild

let setClickGlobalState = () => {

    $("#but1a").click(function () {
        _gaq.push(['_trackEvent', 'popup', 'setExtensionState', 'disabled']);
//pause extension
        chrome.storage.sync.set({"state": false}, function (result) {
            $("#but1a").attr('id', "but1b");
            chrome.browserAction.setIcon({
                path: {
                    19: "../images/main_logo_trans_19_bw.png",
                    38: "../images/main_logo_trans_38_bw.png"
                }
            });
            setClickGlobalState();
        });
    });

    $("#but1b").click(function () {
//resume extension
        _gaq.push(['_trackEvent', 'popup', 'setExtensionState', 'enabled']);
        chrome.storage.sync.set({"state": true}, function (result) {
            $("#but1b").attr('id', "but1a");
            chrome.browserAction.setIcon({
                path: {
                    19: "../images/main_logo_trans_19.png",
                    38: "../images/main_logo_trans_38.png"
                }
            });
            setClickGlobalState();
        });
    });
};

let setClickDomainState =  (domain) => {

    $("#but5a").click(function () {
//disable domain
        _gaq.push(['_trackEvent', 'popup', 'disableDomain', domain]);

        var obj = {};
        obj[domain] = 'disabled';
        chrome.storage.sync.set(obj, function (result) {
            $("#but5a").attr('id', "but5b");
            chrome.browserAction.setBadgeText({text: String(':(')});
            setClickDomainState(domain);
        });
    });

    $("#but5b").click(function () {
//enable domain
        _gaq.push(['_trackEvent', 'popup', 'enableDomain', domain]);
        chrome.storage.sync.remove(domain, function (result) {
            $("#but5b").attr('id', "but5a");
            chrome.browserAction.setBadgeText({text: String(':)')});
            setClickDomainState(domain);
        });
    });
};

$(document).ready(() =>{

    $(".version")[0].innerHTML = chrome.runtime.getManifest().version; //version:

    //disable/enable site:
    chrome.tabs.query({active: true, currentWindow: true}, function (tab) {
        //setting current state:
        _gaq.push(['_trackEvent', 'popup', 'visit', tab[0].url]);

        for (var i = 0; i < C2C_Sites.length; i++) {
            if (tab[0] && tab[0].url.indexOf(C2C_Sites[i].domain) > -1) {
                var found = true;
                var domain = C2C_Sites[i].domain;
                //checking if disabled or not, so will use the right button and functions:
                chrome.storage.sync.get(domain, function (result) {
                    if (result[domain] == 'disabled') {
                        $("#but5a").attr('id', "but5b");
                    }
                    setClickDomainState(domain);
                });
                break;
            }
        }
        if (!found) {
            //not found in list of sites:
            $("#but5a")
                .unbind('click')
                .css('background-position', '550px  0px')
                .attr('title', 'Can\'t disable on this site, as this site is not yet supported.')
        }
    });

//handling global disable/enable button:
    chrome.storage.sync.get("state", function (result) {
        if (!result.state) {
            $("#but1a").attr('id', "but1b");
        }
        setClickGlobalState();
    });

//submit a cat
    $("#but2").click(function () {
        _gaq.push(['_trackEvent', 'popup', 'buttonClicked', 'shareACat']);
        chrome.tabs.create({'url': 'http://extra.commentstocats.com/submit'}, function (window) {
        });

    });

//suggest a site
    $("#but3").click(function () {
        _gaq.push(['_trackEvent', 'popup', 'buttonClicked', 'suggestASite']);
        chrome.tabs.create({'url': '/popup/pages/report.html'}, function (window) {
        });

    });

//options page:
    $("#but4").click(function () {
        _gaq.push(['_trackEvent', 'popup', 'buttonClicked', 'optionsPage']);
        chrome.tabs.create({'url': '/options/options.html'}, function (window) {
        });
    });

//rate a cat:
    $("#but6").click(function () {
        _gaq.push(['_trackEvent', 'popup', 'buttonClicked', 'rateACat']);
        chrome.tabs.create({'url': 'http://commentstocats.com/rateacat?utm_source=extension'}, function (window) {
        });
    });

    $("#but7").click(function () {
        _gaq.push(['_trackEvent', 'popup', 'buttonClicked', 'facebookPage']);
        chrome.tabs.create({'url': 'http://www.facebook.com/commentstocats?utm_source=extension'}, function (window) {
        });
    });

//comments to cats homepage:
    $("#but8").click(function () {
        _gaq.push(['_trackEvent', 'popup', 'buttonClicked', 'homepage']);
        chrome.tabs.create({'url': 'http://commentstocats.com?utm_source=extension'}, function (window) {
        });
    });

//paypal donation:
    $("#Paypal").click(function () {
        _gaq.push(['_trackEvent', 'popup', 'buttonClicked', 'Paypal']);
    });

//title:
    $("#title").click(function () {
        _gaq.push(['_trackEvent', 'popup', 'buttonClicked', 'title']);
        chrome.tabs.create({'url': 'http://commentstocats.com?utm_source=extension'}, function (window) {
        });
    });
});







