//todo: angular, break to files, arrow, fix

let compare = function (a, b) {
    if (a.domain.replace('.', '')[0] < b.domain.replace('.', '')[0])
        return -1;
    else if (a.domain.replace('.', '')[0] > b.domain.replace('.', '')[0])
        return 1;
    else
        return 0;
}; //for list ordering

let save = function (callback) {

    function updateDomains(item, onDone) {

        if ($(item).prop('checked') == true && $(item).attr('original') == 'false') {
            _gaq.push(['_trackEvent', 'options', 'checked', $(item).attr('name')]);
            chrome.storage.sync.remove($(item).attr('name'), function (result) {
                $(item).attr('original', 'true');
                onDone(null, $(item).attr('name') + ' - changed from false to true');
            });

        }
        else if ($(item).prop('checked') == false && $(item).attr('original') == 'true') {
            _gaq.push(['_trackEvent', 'options', 'unchecked', $(item).attr('name')]);
            var obj = {};
            obj[$(item).attr('name')] = 'disabled';
            chrome.storage.sync.set(obj, function (result) {
                $(item).attr('original', 'false');
                onDone(null, $(item).attr('name') + ' - changed from true to false');
            });
        }
        else {
            onDone(null, $(item).attr('name') + ' - did nothing.')
        }
    }

    async.map($(".site"), updateDomains, function (err, results) {
        callback();
    });

}; //saving

let setDomain = function (item, callback) {
    chrome.storage.sync.get(item.domain, function (result) {
        var state = result[item.domain] ? false : true;
        $("#sites").append("<div class='div_domain' title='Click to open in new tab'><input class='site' type='checkbox' name='" + item.domain + "'" + (state ? ' checked ' : '') + "original='" + state + "'><labal class='label'>" + (item.domain.substring(0, 1) == '.' ? item.domain.substring(1) : item.domain) + "</label></div>");
        callback(null, "Added " + item.domain + " with initial " + state);
    });

}; //set enabled/disabled per domain

$(document).ready(function () {

    _gaq.push(['_trackEvent', 'options', 'visit']);

    C2C_Sites.sort(compare); //sorting by letter

    async.map(C2C_Sites, setDomain, function (err, results) {
        $(".label").click(function () {
            window.open("http://" + $(this).text(), "_blank");
        });
    });

    $("#save").click(function () {
        _gaq.push(['_trackEvent', 'options', 'clicked', 'save']);
        save(function () {
            $("#update")[0].innerHTML = "Saved.";
            setTimeout(function () {
                $("#update")[0].innerHTML = '';
            }, 2000);
        });
    });//save button:

    $("#reset").click(function () {
        _gaq.push(['_trackEvent', 'options', 'clicked', 'reset']);
        $(".site").each(function () {
            $(this).prop('checked', true);
        });

        $("#update")[0].innerHTML = "Back to defaults. Mind saving, if you wish.";
        setTimeout(function () {
            $("#update")[0].innerHTML = '';
        }, 3000);
    });//reset button:

});
